

ALTER PROCEDURE [dbo].[ins_doc_subtipoDocumento]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_subtipoDocumento varchar(300),
		@p_subtipoDocumento_codigo varchar(100),
		@p_prefijo varchar(10),
		@p_consecutivo int,
		@p_id_tipoDocumento int,
		@p_programarPlaneadas bit,
		@p_cargarSolicitante bit,
		@p_verCentroCosto bit,
		@p_verIncoterm bit,
		@p_valUrgente bit,
		@p_bloquearDespacho bit,
		@p_cerrarSol bit,
		@p_ejecutaDevolucion bit,
		@p_tipoCobro int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_subtipoDocumento]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[subtipoDocumento],
			[subtipoDocumento_codigo],
			[prefijo],
			[consecutivo],
			[id_tipoDocumento],
			[programarPlaneadas],
			[cargarSolicitante],
			[verCentroCosto],
			[verIncoterm],
			[valUrgente],
			[bloquearDespacho],
			[cerrarSol],
			[ejecutaDevolucion],
			[tipoCobro])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_subtipoDocumento,
			@p_subtipoDocumento_codigo,
			@p_prefijo,
			@p_consecutivo,
			@p_id_tipoDocumento,
			@p_programarPlaneadas,
			@p_cargarSolicitante,
			@p_verCentroCosto,
			@p_verIncoterm,
			@p_valUrgente,
			@p_bloquearDespacho,
			@p_cerrarSol,
			@p_ejecutaDevolucion,
			@p_tipoCobro)
		SET @v_id = scope_identity()
UPDATE [doc_subtipoDocumento] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO


